function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"2",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(8128);
	
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	
	if sender==30 then
		setcurentleaf("albert_house",17,0);
		DarkScreen(false);
		ShowMenu(true)
		if flags.minicomplete1 then
		    StopEmiter("Flower");
			collaps_obj(112,0,0,0,0);
			AddElement("gr",112);
			setcolor(112,0,0,0,0.5,1);
			MoveObjectToTree(112);
			Set_Cursor(56,3)
			savegame(SaveLevel())
		return; end;	
	return; end;
	if sender==36 then
	   if id==2100 then
		BlockCursor(false)
		clear_satelite_leaf("albert_house");
	   return;end;	 
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete1=true;
		playeffect("miniC");
		StartTimer(2100,2)
		BlockCursor(true)
	return; end;
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"2",100,"messageinfo")
		end;			
	    BlockCursor(false);
		if id==1008 then
			finish_mini_game(true);
		return;end;
	return;end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"2",100,"messageinfo")
		return;end;			
		if id==5000 and skipping then
			if not flags.minicomplete1 then
				playeffect("skip");
				speciale_action(2,1006);
				speciale_action(2,1008,true);
			return;end;	
		return;end;
		if id==1001 then
			finish_mini_game(false);
			playeffect("close");
			clear_satelite_leaf("albert_house");
			DeleteResource("am1_btn");
			DeleteResource("am1_flower");
			DeleteResource("am1_branch");
			DeleteResource("am1_key");
			DeleteResource("am1_bg");			
		return;end;
		
		if id==1004 then
			speciale_action(2,1004);
			speciale_action(2,1005,true);
		return;end;
		
		if id==1006 then
			speciale_action(2,1006);
			speciale_action(2,1008,true);
		return;end;
	return;end;
end;
function mini_delete ()

end;